package com.rjconsultores.ventaboletos.utilerias.exportacaofiscal.vo;

import java.math.BigDecimal;

public class ExportacaoBPRBase {
	// PAR
	private Integer codigoParticipantePar;
	private Integer codigoEstabelecimentoPar;
	private String nomeParticipante;
	private String ufParticipante;
	private String cpfParticipante;
	private String ieParticipante;
	private String imParticipante;
	private String logradouro;
	private String numero;
	private String complemento;
	private String bairro;
	private Integer cep;

	// RMD
	private String dataEmissaoRMD;
	private Integer codigoParticipante;
	private Integer codigoEstabelecimento;
	private String numeroAIDF;
	private String serieAIDF;
	private String subSerieAIDF;
	private Long numeroFormularioBilheteAIDF;
	private Boolean documentoCancelado;
	private String codigoContabil;
	
	// BPS
	private String dataEmissao;
	private Long numeroFormulario;
	private String numeroAIDFRMD;
	private String serieAIDFRMD;
	private String subSerieAIDFRMD;
	private Integer numeroRMD;
	private Integer boletoIsento;
	private Integer boletoCancelado;
	private BigDecimal valorPago; 

	// DBP
	private String ufDestino;
	private String ufOrigem;
	private Integer municipioOrigem;
	private Integer cfop;
	private BigDecimal reducaoBaseCalcICMS;
	private BigDecimal porcReducaoMunicipal;
	private BigDecimal porcReducaoEstadual;
	private BigDecimal tributacaoImportacao;
	
	public ExportacaoBPRBase() {
		
	}

	public Integer getCodigoParticipantePar() {
		return codigoParticipantePar;
	}

	public void setCodigoParticipantePar(Integer codigoParticipantePar) {
		this.codigoParticipantePar = codigoParticipantePar;
	}

	public Integer getCodigoEstabelecimentoPar() {
		return codigoEstabelecimentoPar;
	}

	public void setCodigoEstabelecimentoPar(Integer codigoEstabelecimentoPar) {
		this.codigoEstabelecimentoPar = codigoEstabelecimentoPar;
	}

	public String getNomeParticipante() {
		return nomeParticipante;
	}

	public void setNomeParticipante(String nomeParticipante) {
		this.nomeParticipante = nomeParticipante;
	}

	public String getUfParticipante() {
		return ufParticipante;
	}

	public void setUfParticipante(String ufParticipante) {
		this.ufParticipante = ufParticipante;
	}

	public String getCpfParticipante() {
		return cpfParticipante;
	}

	public void setCpfParticipante(String cpfParticipante) {
		this.cpfParticipante = cpfParticipante;
	}

	public String getIeParticipante() {
		return ieParticipante;
	}

	public void setIeParticipante(String ieParticipante) {
		this.ieParticipante = ieParticipante;
	}

	public String getImParticipante() {
		return imParticipante;
	}

	public void setImParticipante(String imParticipante) {
		this.imParticipante = imParticipante;
	}

	public String getLogradouro() {
		return logradouro;
	}

	public void setLogradouro(String logradouro) {
		this.logradouro = logradouro;
	}

	public String getNumero() {
		return numero;
	}

	public void setNumero(String numero) {
		this.numero = numero;
	}

	public String getComplemento() {
		return complemento;
	}

	public void setComplemento(String complemento) {
		this.complemento = complemento;
	}

	public String getBairro() {
		return bairro;
	}

	public void setBairro(String bairro) {
		this.bairro = bairro;
	}

	public Integer getCep() {
		return cep;
	}

	public void setCep(Integer cep) {
		this.cep = cep;
	}

	public String getDataEmissaoRMD() {
		return dataEmissaoRMD;
	}

	public void setDataEmissaoRMD(String dataEmissaoRMD) {
		this.dataEmissaoRMD = dataEmissaoRMD;
	}

	public Integer getCodigoParticipante() {
		return codigoParticipante;
	}

	public void setCodigoParticipante(Integer codigoParticipante) {
		this.codigoParticipante = codigoParticipante;
	}

	public Integer getCodigoEstabelecimento() {
		return codigoEstabelecimento;
	}

	public void setCodigoEstabelecimento(Integer codigoEstabelecimento) {
		this.codigoEstabelecimento = codigoEstabelecimento;
	}

	public String getNumeroAIDF() {
		return numeroAIDF;
	}

	public void setNumeroAIDF(String numeroAIDF) {
		this.numeroAIDF = numeroAIDF;
	}

	public String getSerieAIDF() {
		return serieAIDF;
	}

	public void setSerieAIDF(String serieAIDF) {
		this.serieAIDF = serieAIDF;
	}

	public String getSubSerieAIDF() {
		return subSerieAIDF;
	}

	public void setSubSerieAIDF(String subSerieAIDF) {
		this.subSerieAIDF = subSerieAIDF;
	}

	public Long getNumeroFormularioBilheteAIDF() {
		return numeroFormularioBilheteAIDF;
	}

	public void setNumeroFormularioBilheteAIDF(Long numeroFormularioBilheteAIDF) {
		this.numeroFormularioBilheteAIDF = numeroFormularioBilheteAIDF;
	}

	public Boolean getDocumentoCancelado() {
		return documentoCancelado;
	}

	public void setDocumentoCancelado(Boolean documentoCancelado) {
		this.documentoCancelado = documentoCancelado;
	}

	public String getCodigoContabil() {
		return codigoContabil;
	}

	public void setCodigoContabil(String codigoContabil) {
		this.codigoContabil = codigoContabil;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public Long getNumeroFormulario() {
		return numeroFormulario;
	}

	public void setNumeroFormulario(Long numeroFormulario) {
		this.numeroFormulario = numeroFormulario;
	}

	public String getNumeroAIDFRMD() {
		return numeroAIDFRMD;
	}

	public void setNumeroAIDFRMD(String numeroAIDFRMD) {
		this.numeroAIDFRMD = numeroAIDFRMD;
	}

	public String getSerieAIDFRMD() {
		return serieAIDFRMD;
	}

	public void setSerieAIDFRMD(String serieAIDFRMD) {
		this.serieAIDFRMD = serieAIDFRMD;
	}

	public String getSubSerieAIDFRMD() {
		return subSerieAIDFRMD;
	}

	public void setSubSerieAIDFRMD(String subSerieAIDFRMD) {
		this.subSerieAIDFRMD = subSerieAIDFRMD;
	}

	public Integer getNumeroRMD() {
		return numeroRMD;
	}

	public void setNumeroRMD(Integer numeroRMD) {
		this.numeroRMD = numeroRMD;
	}

	public Integer getBoletoIsento() {
		return boletoIsento == null ? 0 : boletoIsento;
	}

	public void setBoletoIsento(Integer boletoIsento) {
		this.boletoIsento = boletoIsento;
	}

	public Integer getBoletoCancelado() {
		return boletoCancelado == null ? 0 : boletoCancelado;
	}

	public void setBoletoCancelado(Integer boletoCancelado) {
		this.boletoCancelado = boletoCancelado;
	}

	public BigDecimal getValorPago() {
		return valorPago;
	}

	public void setValorPago(BigDecimal valorPago) {
		this.valorPago = valorPago;
	}

	public String getUfDestino() {
		return ufDestino;
	}

	public void setUfDestino(String ufDestino) {
		this.ufDestino = ufDestino;
	}

	public String getUfOrigem() {
		return ufOrigem;
	}

	public void setUfOrigem(String ufOrigem) {
		this.ufOrigem = ufOrigem;
	}

	public Integer getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(Integer municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	public Integer getCfop() {
		return cfop;
	}

	public void setCfop(Integer cfop) {
		this.cfop = cfop;
	}

	public BigDecimal getReducaoBaseCalcICMS() {
		return reducaoBaseCalcICMS;
	}

	public void setReducaoBaseCalcICMS(BigDecimal reducaoBaseCalcICMS) {
		this.reducaoBaseCalcICMS = reducaoBaseCalcICMS;
	}

	public BigDecimal getPorcReducaoMunicipal() {
		return porcReducaoMunicipal;
	}

	public void setPorcReducaoMunicipal(BigDecimal porcReducaoMunicipal) {
		this.porcReducaoMunicipal = porcReducaoMunicipal;
	}

	public BigDecimal getPorcReducaoEstadual() {
		return porcReducaoEstadual;
	}

	public void setPorcReducaoEstadual(BigDecimal porcReducaoEstadual) {
		this.porcReducaoEstadual = porcReducaoEstadual;
	}

	public BigDecimal getTributacaoImportacao() {
		return tributacaoImportacao;
	}

	public void setTributacaoImportacao(BigDecimal tributacaoImportacao) {
		this.tributacaoImportacao = tributacaoImportacao;
	}

	@Override
	public String toString() {
		return "ExportacaoRMDBase [codigoParticipantePar=" + codigoParticipantePar + ", codigoEstabelecimentoPar=" + codigoEstabelecimentoPar + ", nomeParticipante=" + nomeParticipante + ", ufParticipante=" + ufParticipante + ", cpfParticipante=" + cpfParticipante + ", ieParticipante=" + ieParticipante + ", imParticipante=" + imParticipante + ", logradouro=" + logradouro + ", numero=" + numero + ", complemento=" + complemento + ", bairro=" + bairro + ", cep=" + cep + ", dataEmissaoRMD=" + dataEmissaoRMD + ", codigoParticipante=" + codigoParticipante + ", codigoEstabelecimento=" + codigoEstabelecimento + ", numeroAIDF=" + numeroAIDF + ", serieAIDF=" + serieAIDF + ", subSerieAIDF=" + subSerieAIDF + ", numeroFormularioBilheteAIDF=" + numeroFormularioBilheteAIDF + ", documentoCancelado=" + documentoCancelado + ", codigoContabil=" + codigoContabil + ", dataEmissao=" + dataEmissao + ", numeroFormulario=" + numeroFormulario + ", numeroAIDFRMD=" + numeroAIDFRMD + ", serieAIDFRMD=" + serieAIDFRMD + ", subSerieAIDFRMD=" + subSerieAIDFRMD + ", numeroRMD=" + numeroRMD + ", boletoCancelado=" + boletoCancelado + ", valorPago=" + valorPago + ", ufDestino=" + ufDestino + ", ufOrigem=" + ufOrigem + ", municipioOrigem=" + municipioOrigem + ", cfop=" + cfop + ", reducaoBaseCalcICMS=" + reducaoBaseCalcICMS + ", porcReducaoMunicipal=" + porcReducaoMunicipal + ", porcReducaoEstadual=" + porcReducaoEstadual + ", tributacaoImportacao=" + tributacaoImportacao + "]";
	}
}
